# Return PostgreSQL name length restrictions

This function retrieves the PostgreSQL® user and database name length restrictions.

Important:

When you disable the PostgreSQL role, the system disables this function.

Endpoint: GET /Postgresql/get_restrictions
Version: 11.138.0.10
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_restrictions"

  - `module` (string)
    The name of the module called.
    Example: "Postgresql"

  - `result` (object)

  - `result.data` (object)

  - `result.data.max_database_name_length` (integer)
    The maximum length of a database name.
    Example: 63

  - `result.data.max_username_length` (integer)
    The maximum length of a database username.
    Example: 63

  - `result.data.prefix` (string)
    If database prefixing is enabled, this return outputs the database prefix. A valid string up to eight characters and an underscore (_).
    Example: "example_"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


